
Foreman - Refactor #11858

host_inherited_params logic to get ancestry parameters is duplicated

09/17/2015 04:00 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Rails   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2735

  

Description

host_inherited_params on app/models/host/managed.rb tries to get organization/location/hostgroup parameters, including ancestry.

The logic to do it is exactly the same for all 3 models, so it should be combined somehow to reduce code duplication.

Associated revisions

Revision d7b8c7ad - 09/17/2015 02:31 PM - Shlomi Zadok

Fixes #11858 - DRY get ancestry parameters

History

#1 - 09/17/2015 12:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2735 added

- Pull request deleted ()

#2 - 09/17/2015 03:01 PM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d7b8c7ada64806052fd510d82cf1afafb99ba9a4.

#3 - 09/18/2015 03:17 AM - Dominic Cleal

- Category set to Rails

- Assignee set to Shlomi Zadok

- translation missing: en.field_release set to 63
